Bug 65830 - TB Conf:316:initvars end quote not found in ifcfg-eth0:MACADDR
TB Conf:316:initvars end quote not found in ifcfg-eth0:MACADDR
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-06-01 20:47 EDT by Cyril Zlachevsky
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-26 12:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cyril Zlachevsky 2002-06-01 20:47:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
if /etc/sysconfig/network-scripts/ifcfg-eth0 contain line like this:
MACADDR="00:50:04:71:8D:89" Red Hat network config program crash with messgage:
---cut---
Traceback (innermost last):
  File "/usr/sbin/neat", line 1398, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 222, in __init__
    self.load()
  File "/usr/sbin/neat", line 241, in load
    self.loadDevices()
  File "/usr/sbin/neat", line 246, in loadDevices
    devicelist = getDeviceList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 172, in getDeviceList
    DVList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 63, in load
    self.data[i].load(dev)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
143, in load
    conf = ConfDevice(name)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
51, in __init__
    Conf.ConfShellVar.__init__(self, self.filename)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 293,
in __init__
    separators='=', separator='=')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180,
in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 296,
in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 316,
in initvars
    raise IndexError, 'end quote not found in '+self.filename+':'+var[0]
Conf.IndexError: end quote not found in
/etc/sysconfig/networking/devices/ifcfg-eth0:MACADDR
---cut---


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add MACADDR="00:50:04:71:8D:89" into
/etc/sysconfig/network-scripts/ifcfg-eth0 file
2. open Red Hat Control Panel
3. Run Network Configuration
	

Actual Results:  The exception window with the text above.



Expected Results:  normal program start

Additional info:
Comment 1 Harald Hoyer 2002-06-26 08:54:54 EDT
HWADDR="00:50:04:71:8D:89" would be the correct entry...
Did you name your config file ifcfg-eth0:MACADDR ??
Comment 2 Cyril Zlachevsky 2002-06-26 10:55:27 EDT
2 harald@redhat.com : Offcause no!
Comment 3 Harald Hoyer 2002-06-26 12:12:45 EDT
fixed in CVS
Comment 4 Trond Eivind Glomsrxd 2002-07-24 12:54:27 EDT
Please try the public beta - upgrade from Rawhide if necesarry. 1.1.10 has the
fix, wthough it was added somewhat earlier.
Comment 5 Harald Hoyer 2002-10-23 05:56:54 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.

Note You need to log in before you can comment on or make changes to this bug.